VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IControlListener Class Referenceabstract
Inheritance diagram for IControlListener:

## Public Member Functions
virtual | ~IControlListener () noexcept=default
virtual void | valueChanged (CControl *pControl)=0
virtual int32_t | controlModifierClicked (CControl *pControl, CButtonState button)
| return 1 if you want the control to not handle it, otherwise 0
virtual void | controlBeginEdit (CControl *pControl)
virtual void | controlEndEdit (CControl *pControl)
virtual void | controlTagWillChange (CControl *pControl)
virtual void | controlTagDidChange (CControl *pControl)

## Constructor & Destructor Documentation

virtual ~IControlListener | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

virtual void controlBeginEdit | ( | CControl * | pControl | ) |
| inline virtual

Reimplemented in VST3Editor, CColorChooser, PadController, GroupController, and DelegationController.

virtual void controlEndEdit | ( | CControl * | pControl | ) |
| inline virtual

Reimplemented in VST3Editor, CColorChooser, PadController, GroupController, and DelegationController.

virtual int32_t controlModifierClicked | ( | CControl * | pControl,
|  | CButtonState | button
| ) |  |
| inline virtual

return 1 if you want the control to not handle it, otherwise 0

Reimplemented in DelegationController.

virtual void controlTagDidChange | ( | CControl * | pControl | ) |
| inline virtual

Reimplemented in VST3Editor, and DelegationController.

virtual void controlTagWillChange | ( | CControl * | pControl | ) |
| inline virtual

Reimplemented in VST3Editor, and DelegationController.

virtual void valueChanged | ( | CControl * | pControl | ) |
| pure virtual

Implemented in VST3Editor, CDataBrowser, CScrollView, UIDescriptionViewSwitchController, CFontChooser, CTabView, CColorChooser, CSplashScreen, PadController, GroupController, and DelegationController.

The documentation for this class was generated from the following file:

- icontrollistener.h